Skip to main content
POST
/
v1
/
posts
Créer un post (brouillon, programmé ou publié)
curl --request POST \
  --url https://api.plugkit.co/v1/posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileId": "<string>",
  "content": "<string>",
  "accountIds": [
    "<string>"
  ],
  "mediaUrls": [
    "<string>"
  ],
  "scheduledFor": "<string>",
  "publishNow": false
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
profileId
string
required

Profil propriétaire du post

content
string
required

Texte / légende du post

accountIds
string[]
required

IDs des comptes cibles (Account.id)

mediaUrls
string[]

URLs des médias

scheduledFor
string

Date de programmation (ISO 8601)

publishNow
boolean
default:false

Publier immédiatement

Response

201 - undefined